Subject: [Arcing] Fwd: New Version Notification for draft-trammell-inip-pins-01.txt

From: Brian Trammell <[email-masked]>
Date: Fri, 11 Mar 2016 21:00:00 +0100

Greetings, all,

I've posted rev -01 of the Properties of an Ideal Naming Service (pins) draft. On a quick scan of the list archive, I see Ted's already mentioned this. A little background: This document was created as part of an academic exercise to design a naming service, and I decided to submit a draft on "what makes a naming service good" for discussion in the Names and Identifiers program.

Changes, one of which is relevant to ARCING, one less so:

(1) Added discussion on the implicitness of context in which naming assertions and queries exist, which is pretty much the arcing problem (but also manifests in the DNS as issues with DNS-based geographic load balancing and leaks of internally valid queries outside administrative domain boundaries). No magic bullet, just wanted to capture what was interesting and difficult about explicit inconsistency.

(2) Added a new property "revocability of authority", which follows from other properties but wasn't explicitly spelled out.

Cheers,

Brian

> Begin forwarded message:
> 
> From: [email-masked]
> Subject: New Version Notification for draft-trammell-inip-pins-01.txt
> Date: 11 Mar 2016 17:36:23 CET
> To: "Brian Trammell" <[email-masked]>
> 
> 
> A new version of I-D, draft-trammell-inip-pins-01.txt
> has been successfully submitted by Brian Trammell and posted to the
> IETF repository.
> 
> Name:		draft-trammell-inip-pins
> Revision:	01
> Title:		Properties of an Ideal Naming Service
> Document date:	2016-03-11
> Group:		Individual Submission
> Pages:		12
> URL:            https://www.ietf.org/internet-drafts/draft-trammell-inip-pins-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-trammell-inip-pins/
> Htmlized:       https://tools.ietf.org/html/draft-trammell-inip-pins-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-trammell-inip-pins-01
> 
> Abstract:
>   This document specifies a set of necessary functions and desirable
>   properties of an ideal system for resolving names to addresses and
>   associated information for establishing communication associations in
>   the Internet.  For each property, it briefly explains the rationale
>   behind it, and how the property is or could be met with the present
>   Domain Name System.  It is intended to start a discussion within the
>   IAB's Names and Identifiers program about gaps between the present
>   reality of DNS and the naming service the Internet needs by returning
>   to first principles.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>